Skip to main content
PUT
/
labels
/
{label}
curl -X PUT https://app.trypost.it/api/labels/c3d4e5f6-a7b8-9c0d-1e2f-3a4b5c6d7e8f \
  -H "Authorization: Bearer tp_your_api_key" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Launch Day",
    "color": "#22c55e"
  }'
{
  "data": {
    "id": "c3d4e5f6-a7b8-9c0d-1e2f-3a4b5c6d7e8f",
    "name": "Launch Day",
    "color": "#22c55e",
    "created_at": "2025-01-10 08:00:00",
    "updated_at": "2025-01-10 09:00:00"
  }
}

Request

label
string
required
The label ID.
name
string
required
The new label name. Maximum 255 characters.
color
string
required
Hex color code (e.g., #FF5733). Must match the format #RRGGBB.

Response

Returns the updated label.
curl -X PUT https://app.trypost.it/api/labels/c3d4e5f6-a7b8-9c0d-1e2f-3a4b5c6d7e8f \
  -H "Authorization: Bearer tp_your_api_key" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Launch Day",
    "color": "#22c55e"
  }'
{
  "data": {
    "id": "c3d4e5f6-a7b8-9c0d-1e2f-3a4b5c6d7e8f",
    "name": "Launch Day",
    "color": "#22c55e",
    "created_at": "2025-01-10 08:00:00",
    "updated_at": "2025-01-10 09:00:00"
  }
}